<div fxLayoutAlign="center" [@routeAnimation]>
  <div class="flex-container" fxLayoutAlign="center" fxFlex="100%" fxLayout='row wrap'>
<div class="w-100 section-dark section-padding" fxLayoutAlign="center">
      <div class="flex-container" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
  <div id="title-box" class="py-2" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
      <h1 class="mt-4 max-width-special">User profile</h1>
      <p class="max-width-special subtitle mb-3">User information</p>
  </div>
  </div>
</div>

<div class="flex-container" fxFlex="95%"  fxFlex.xs="95%" fxFlex.sm="570px" fxFlex.sd="738px" fxFlex.md="930px" fxFlex.lg="1200px" fxFlex.xl="1536px">
<div class="min-height">

<div  class="row">
  <div class="col-md-12 py-5">

      <ng-container *ngIf="isAuthenticated">
        <div class="row mb-5">
          <div *ngIf="displayWelcomeBanner" class="col-12 banner">
            <p class="text-center">
              Welcome to European Language Grid!
            </p>
            <a (click)="hideBanner($event)" href="#" class="dismissBanner"><mat-icon>highlight_off</mat-icon></a>
          </div>
        </div>


        <div class="row">
          <div class="col-12 col-md-6 col-lg-3">
            <div class="col-12">
              <div class="img-div">
                <img *ngIf="userDetails.image" class="img-circle" [src]="userDetails.image" alt="">
                <img *ngIf="!userDetails.image" class="img-circle" src="/assets/img/blank-profile-picture.svg" alt="">
                </div>

            </div>
            <div class="mt-5 col-12">
                    <a class="mr-2 mb-2 mat-flat-button mat-accent" [href]="changePasswordUrl">Change password</a>
                    <a class="mb-2 mat-flat-button mat-accent" [href]="updateProfileUrl">Edit profile</a>
                    <a class="mb-2 mat-flat-button mat-accent" [href]="applicationsUrl">Manage consents and tokens</a>
            </div>
          </div>

          <div class="col-12 col-md-6 col-lg-9">

            <div class="row">
              <div *ngIf="userDetails.given_name" class="col-12 col-lg-6">
                  <p><b>First name:</b><br>
                    {{ userDetails.given_name }}
                  </p>
              </div>
              <div *ngIf="userDetails.family_name" class="col-12 col-lg-6">
                  <p><b>Last name:</b><br>
                    {{ userDetails.family_name }}
                  </p>
                </div>
              <div *ngIf="userDetails.email" class="col-12 col-lg-6">
                <p><b>Email:</b><br>
                  {{ userDetails.email }}
                </p>
              </div>
              <div *ngIf="userDetails.affiliation" class="col-12 col-lg-6">
                  <p><b>Affiliation:</b><br>
                    {{ userDetails.affiliation }}
                  </p>
              </div>
              <div *ngIf="userDetails.dblp" class="col-12 col-lg-6">
                <p><b>DBLP:</b><br>
                  {{ userDetails.dblp }}
                </p>
              </div>
              <div *ngIf="userDetails.linkedin" class="col-12 col-lg-6">
                  <p><b>Linkedin:</b><br>
                    <ng-container *ngIf="parseUrl(userDetails.linkedin)">
                      <a href="{{ userDetails.linkedin }}">{{ userDetails.linkedin }}</a>
                    </ng-container>
                    <ng-container *ngIf="!parseUrl(userDetails.linkedin)">
                      {{ userDetails.linkedin }}
                    </ng-container>

                  </p>
              </div>
              <div *ngIf="userDetails.phone" class="col-12 col-lg-6">
                <p><b>Phone:</b><br>
                  {{ userDetails.phone }}
                </p>
              </div>

              <div *ngIf="userDetails.website" class="col-12 col-lg-6">
                  <p><b>Website:</b><br>
                    <ng-container *ngIf="parseUrl(userDetails.website)">
                      <a href="{{ userDetails.website }}">{{ userDetails.website }}</a>
                    </ng-container>
                    <ng-container *ngIf="!parseUrl(userDetails.website)">
                      {{ userDetails.website }}
                    </ng-container>
                  </p>
              </div>
              <div *ngIf="userDetails['google-scholar']" class="col-12 col-lg-6">
                <p><b>Google scholar:</b><br>
                  <ng-container *ngIf="parseUrl(userDetails['google-scholar'])">
                    <a href="{{ userDetails['google-scholar'] }}">{{ userDetails["google-scholar"] }}</a>
                  </ng-container>
                  <ng-container *ngIf="!parseUrl(userDetails['google-scholar'])">
                    {{ userDetails['google-scholar'] }}
                  </ng-container>
                </p>
            </div>

              <div *ngIf="userDetails.roles && userDetails.roles.length > 0" class="col-12 col-lg-6">
                  <p><b>Roles:</b><br>
                    <ng-container *ngFor="let role of userDetails.roles; let i = index; let l = last;">
                      <ng-container *ngIf="!l">
                        {{ role }}<br>
                      </ng-container>
                      <ng-container *ngIf="l">
                        {{ role }}
                      </ng-container>
                    </ng-container>

                  </p>
              </div>
            </div>
          </div>
        </div>




        <section *ngIf="!providerApplicant.userIsProvider(userDetails.roles)" class="my-5 p-5 container section-dark center-all" fxlayout="column" fxlayoutalign="center center">
          <h2 class="strong text-align-center mb-4">Have an amazing language tool?</h2>
          <p>ELG is primary platform for Language Technology in Europe. Your data resources, tools and technologies can be shared here and meet their users. Become a provider, and you will get acknowledgment in academic circles, increase your market, and improve the recognition of your resource. Find out more information <a [routerLink]="['/technologies']" >here</a>.
          </p>
          <p class="text-align-center">
            <a *ngIf="!providerApplicant.userHasAppliedForProvider(userDetails.sub) && isBrowser"
             mat-flat-button
              color="primary"
                class="mat-flat-button mat-button-base mat-accent cms-link"
                [routerLink]="['/request-provider-role']">Become a provider
                </a>

                <span *ngIf="providerApplicant.userHasAppliedForProvider(userDetails.sub) && isBrowser">Provider status requested. Please wait for a confirmation email.</span>
          </p>
          </section>
      </ng-container>
  </div>
</div>



</div>
</div>
</div>
</div>
